gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object System.Obsolete("Replaced by GLib.Timeout") Registers a method to be called periodically.
- Constructor
  2.12.0.0
  Internal Constructor
  This should not be called directly by typical applications.
- Method
  2.12.0.0
  System.Obsolete("Replaced by GLib.Timeout.Add")
  System.UInt32 `` `` number of miliseconds between function calls delegate that will be called until it return false Registers a to be called periodically. a The will be called repeatedly after milliseconds until it returns at which point the is destroyed and will not be called again.

  The first execution of the callback will only occur after the has elapsed. In other words, it won't be executed right away after calling .

- Method
  2.12.0.0
  System.Obsolete("Replaced by GLib.Timeout.Add")
  System.UInt32 `` `` `` `` `` a a a a a Registers a to be called periodically. a The will be called repeatedly after milliseconds until it returns at which point the is destroyed and will not be called again.
- Method
  2.12.0.0
  System.Obsolete("Replaced by GLib.Source.Remove")
  System.Void `` a Removes the given timeout destroying all information about it.